EDIT - feature request #8725

Add abbreviation to namedArea text field in distribution details view
11/27/2019 02:34 PM - Katja Luther

Status: Feedback Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.14

Severity: blocker

Description

Some named areas have the same label therefore it would be nice to show an abbreviation like idInVoc. This should be configurable.

Related issues:
Related to EDIT - bug #8913: InInVoc not showing up anymore in TermEditor Closed

Associated revisions

Revision ¢59a038a - 04/03/2020 12:32 PM - Katja Luther

ref #8725: add preferencePredicate for showldInVoc in textfield

Revision de0fd826 - 04/03/2020 12:32 PM - Katja Luther

fix #8725: show IDinVoc in NamedArea Textfield, add preference to make it configurable

Revision 4bff1cd7 - 04/08/2020 12:27 PM - Katja Luther

fix #8725: move preference

Revision 20fd2b76 - 04/08/2020 12:51 PM - Katja Luther

fix #8725: move also admin preference

History

#1 - 11/27/2019 02:36 PM - Katja Luther

- Subject changed from add abbrev to namedArea text field to Add abbrev to namedArea text field

#2 - 04/02/2020 09:57 PM - Andreas Miiller
- Related to bug #8913: InInVoc not showing up anymore in TermEditor added

#3 - 04/03/2020 12:32 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|de0fd82683fcaa892d6e6b55457d2088f9¢c31315.

#4 - 04/03/2020 12:35 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 5.15

- Severity changed from normal to blocker

please review

#5 - 04/03/2020 12:37 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.14

#6 - 04/08/2020 11:18 AM - Andreas Miiller

- Status changed from Resolved to Feedback
- Assignee changed from Andreas Mtiller to Katja Luther

The preference should be moved from Factual Data to Ul->Distribution Details View

#7 - 04/08/2020 11:23 AM - Andreas Miiller

The label should be changed to Show id in vocabulary in area textfield.

"Areal" in German.

#8 - 04/08/2020 12:27 PM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|4bff1cd7132b34fa100aaff28408278dc6e585a5.

#9 - 04/08/2020 12:58 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#10 - 04/08/2020 02:15 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther
Andreas Miller wrote:
The preference should be moved from Factual Data to Ul->Distribution Details View

Now it is at Factual Data -> Distribution Data -> Details View, but the better place is Ul -> Distribution Details View (new) as this is purely Ul related
and not related to data (what data is available) as all other preferences in "Factual Data".

#11 - 04/08/2020 02:18 PM - Andreas Miiller

Revision 20fd2b76 says "move also admin preference" but | can't find this preference in the admin preferences.

#12 - 04/08/2020 06:03 PM - Andreas Miiller

- Subject changed from Add abbrev to namedArea text field to Add abbreviation to namedArea text field in distribution details view

#13 - 04/09/2020 01:05 PM - Andreas Miiller
Andreas Muller wrote:
Andreas Muller wrote:
The preference should be moved from Factual Data to Ul->Distribution Details View

Now it is at Factual Data -> Distribution Data -> Details View, but the better place is Ul -> Distribution Details View (new) as this is purely Ul
related and not related to data (what data is available) as all other preferences in "Factual Data".

Maybe it is even better to create a new submen( "Details View" under Ul and move the new preference for Distribution (Details View) there and also
move other Details View preferences there like Name (Details View). These both should then be submenus of the (sub)menu "Details View".
